Edit a credit limit adjustment

This request edits a credit limit adjustment on a line of credit account.

   Click here to learn more about this request

Credit limit adjustments are used by lenders to increase or decrease a borrower's allowed credit limit. Note the following when using this request:

Each Bucket has its own credit limit. However, the account's total credit limit is determined by the primary bucket on the account. To adjust an account's total allowable credit limit, use the ID of the primary bucket.

Credit limit adjustments can not be logged in the past. The adjustment date must be after the current billing cycle's start date.

For an example of how credit limit adjustments work in the UI, take a look at our Bucket transfers and credit Limit Adjustments article.

Database

For information regarding Line of Credit database tables, see the following articles:

Database – Line of Credit Credit Limit Adjustment (line_of_credit_credit_limit_adjustment_entity

Database – Line of Credit Account (line_of_credit_entity)

{
    "bucketId": 1,
    "date": "2025-04-24",
    "info": "Credit Limit Increase",
    "originalCreditLimit": "3000",
    "newCreditLimit": "10000",
    "active": 1
}
Path Params
int32
required

The ID of the credit limit adjustment.

Body Params
int32
required

The ID of the bucket on the account.

date
required

The apply date of the credit limit adjustment.
> Formatted as YYYY-MM-DD.

string
required

This field is used to describe the credit limit adjustment.
> Limited to 255 characters.

int32
required

The new value of the credit limit.

boolean

The active status of the credit limit.
> 0 = False, 1 = True.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json